{
  "dBType" : "HANA",
  "name" : "HANA",
  "getPSDEDataQueryCodeConds" : [ {
    "condType" : "CUSTOM",
    "customCond" : "( t1.\"IBIZORDERID\" =  ${srfwebcontext('srfkeys','{\"defname\":\"IBIZORDERID\",\"dename\":\"IBIZORDERDETAIL\"}')} )",
    "name" : "查询条件"
  } ],
  "getPSDEDataQueryCodeExps" : [ {
    "expression" : "t1.\"QUANTITY\"*t11.\"UNITPRICE\"",
    "name" : "AMOUNT"
  }, {
    "expression" : "t1.\"CREATEDATE\"",
    "name" : "CREATEDATE"
  }, {
    "expression" : "t1.\"CREATEMAN\"",
    "name" : "CREATEMAN"
  }, {
    "expression" : "t1.\"IBIZORDERDETAILA\"",
    "name" : "IBIZORDERDETAILA"
  }, {
    "expression" : "t1.\"IBIZORDERDETAILID\"",
    "name" : "IBIZORDERDETAILID"
  }, {
    "expression" : "t1.\"IBIZORDERDETAILNAME\"",
    "name" : "IBIZORDERDETAILNAME"
  }, {
    "expression" : "t1.\"IBIZORDERID\"",
    "name" : "IBIZORDERID"
  }, {
    "expression" : "t21.\"IBIZORDERNAME\"",
    "name" : "IBIZORDERNAME"
  }, {
    "expression" : "t1.\"IBIZUNIPRODUCTID\"",
    "name" : "IBIZUNIPRODUCTID"
  }, {
    "expression" : "t11.\"IBIZUNIPRODUCTNAME\"",
    "name" : "IBIZUNIPRODUCTNAME"
  }, {
    "expression" : "t21.\"ORDERUID\"",
    "name" : "ORDERUID"
  }, {
    "expression" : "t1.\"QUANTITY\"",
    "name" : "QUANTITY"
  }, {
    "expression" : "t11.\"UNIT\"",
    "name" : "UNIT"
  }, {
    "expression" : "t11.\"UNITPRICE\"",
    "name" : "UNITPRICE"
  }, {
    "expression" : "t1.\"UPDATEDATE\"",
    "name" : "UPDATEDATE"
  }, {
    "expression" : "t1.\"UPDATEMAN\"",
    "name" : "UPDATEMAN"
  } ],
  "queryCode" : "SELECT\nt1.\"QUANTITY\"*t11.\"UNITPRICE\" AS \"AMOUNT\",\nt1.\"CREATEDATE\",\nt1.\"CREATEMAN\",\nt1.\"IBIZORDERDETAILA\",\nt1.\"IBIZORDERDETAILID\",\nt1.\"IBIZORDERDETAILNAME\",\nt1.\"IBIZORDERID\",\nt21.\"IBIZORDERNAME\",\nt1.\"IBIZUNIPRODUCTID\",\nt11.\"IBIZUNIPRODUCTNAME\",\nt21.\"ORDERUID\",\nt1.\"QUANTITY\",\nt11.\"UNIT\",\nt11.\"UNITPRICE\",\nt1.\"UPDATEDATE\",\nt1.\"UPDATEMAN\"\nFROM \"T_IBIZORDERDETAIL\" t1 \nLEFT JOIN T_IBIZUNIPRODUCT t11 ON t1.IBIZUNIPRODUCTID = t11.IBIZUNIPRODUCTID \nLEFT JOIN T_IBIZORDER t21 ON t1.IBIZORDERID = t21.IBIZORDERID \n",
  "id" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDEDATAQUERIES/CSMXDY/PSDEDQCODES/HANA.json"
}